package semantic.controler;

import semantic.model.ObservationEntity;

import java.util.List;

public interface IControlFunctions {
	/**
	 * This function parses the list of observations extracted from the dataset,
	 * and instantiates them in the knowledge base.
	 *
	 * @param obsList
	 * @param phenomenonURI
	 */
	void instantiateObservations(List<ObservationEntity> obsList, String phenomenonURI);
}
